declare module '*.svg' {
  import type { DefineComponent } from 'vue'
  const content: DefineComponent
  export default content
}

// 图标名称类型（根据实际图标自动生成或手动维护）
type IconName = 
  | 'right' 
  | 'user' 
  | 'search'
  //其他图标名称

declare module 'vue' {
  interface ComponentCustomProperties {
    iconNames: IconName[] // 用于代码提示
  }
}